## r-cran-lsmeans 2.21

=== DESCRIPTION ===
Package: lsmeans
Type: Package
Title: Least-Squares Means
Version: 2.21-1
Date: 2015-12-04
Authors@R: c(person("Russell", "Lenth", role = c("aut", "cre"), 
    email = "russell-lenth@uiowa.edu"),
  person("Maxime", "Herv\\'e", role = "ctb"))
Depends: estimability, methods, R (>= 3.2)
Suggests: car, lattice, MCMCpack, mediation, multcompView, ordinal,
        pbkrtest (>= 0.4-1), CARBayes, coxme, gee, geepack, glmmADMB,
        lme4.0, lme4, MASS, MCMCglmm, nnet, pscl, survival
Imports: graphics, stats, utils, nlme, coda (>= 0.17), multcomp, plyr,
        mvtnorm
Additional_repositories: http://glmmadmb.r-forge.r-project.org/repos,
        http://lme4.0.r-forge.r-project.org/repos
LazyData: yes
ByteCompile: yes
Description: Obtain least-squares means for many linear, generalized linear, 
  and mixed models. Compute contrasts or linear functions of least-squares
  means, and comparisons of slopes. Plots and compact letter displays.
License: GPL-2
NeedsCompilation: no
Packaged: 2015-12-17 02:52:36 UTC; Russell
Author: Russell Lenth [aut, cre],
  Maxime Herv\'e [ctb]
Maintainer: Russell Lenth <russell-lenth@uiowa.edu>
Repository: CRAN
Date/Publication: 2015-12-17 16:09:04

## r-cran-lsmeans 2.21-1

=== debian/changelog ===
r-cran-lsmeans (2.21-1-1) unstable; urgency=low

  * New upstream release 

 -- Jonathon Love <jon@thon.cc>  Sat, 19 Dec 2015 15:18:02 +1100

r-cran-lsmeans (2.21-1) unstable; urgency=low

  * New upstream release 

 -- Jonathon Love <jon@thon.cc>  Sat, 05 Dec 2015 12:21:20 +0100

r-cran-lsmeans (2.20-1) unstable; urgency=low

  * Initial release. (Closes: #797247)

 -- Jonathon Love <jon@thon.cc>  Sat, 29 Aug 2015 13:07:34 +0200

=== debian/control ===
Source: r-cran-lsmeans
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Jonathon Love <jon@thon.cc>
Section: gnu-r
Priority: optional
Build-Depends: debhelper (>= 9),
               cdbs,
               r-base-dev,
               r-cran-estimability,
               r-cran-nlme,
               r-cran-coda (>= 0.17),
               r-cran-multcomp,
               r-cran-plyr,
               r-cran-mvtnorm
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-lsmeans.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/r-cran-lsmeans.git
Homepage: http://cran.r-project.org/package=lsmeans

Package: r-cran-lsmeans
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends},
         r-base,
         r-cran-estimability,
         r-cran-nlme,
         r-cran-coda (>= 0.17),
         r-cran-multcomp,
         r-cran-plyr,
         r-cran-mvtnorm
Description: GNU R package providing least-squares means for linear, generalized linear, and mixed models
 The r-cran-lsmeans package is a GNU R package to obtain least-squares
 means for many linear, generalized linear, and mixed models.
 Additionally it can compute contrasts or linear functions of least-
 squares means, and comparisons of slopes.

=== debian/watch ===
version=3
http://cran.r-project.org/src/contrib/lsmeans_([\d\.-]*).tar.gz

## r-cran-lsmeans 2.23

=== debian/changelog ===
r-cran-lsmeans (2.23-1) unstable; urgency=low

  * New upstream release 

 -- Jonathon Love <jon@thon.cc>  Thu, 21 Apr 2016 14:29:47 +1000

=== debian/control ===
--- 
+++ 
@@ -11,10 +11,11 @@
                r-cran-coda (>= 0.17),
                r-cran-multcomp,
                r-cran-plyr,
-               r-cran-mvtnorm
-Standards-Version: 3.9.6
+               r-cran-mvtnorm,
+               r-cran-xtable
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-lsmeans.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/r-cran-lsmeans.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-lsmeans.git
 Homepage: http://cran.r-project.org/package=lsmeans
 
 Package: r-cran-lsmeans
@@ -27,7 +28,8 @@
          r-cran-coda (>= 0.17),
          r-cran-multcomp,
          r-cran-plyr,
-         r-cran-mvtnorm
+         r-cran-mvtnorm,
+         r-cran-xtable (>= 1:1.8-2)
 Description: GNU R package providing least-squares means for linear, generalized linear, and mixed models
  The r-cran-lsmeans package is a GNU R package to obtain least-squares
  means for many linear, generalized linear, and mixed models.

## r-cran-lsmeans 2.25

=== debian/changelog ===
r-cran-lsmeans (2.25-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2016 09:02:01 +0100

r-cran-lsmeans (2.24-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Convert to debhelper
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Fri, 04 Nov 2016 13:08:56 +0100

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Uploaders: Jonathon Love <jon@thon.cc>
 Section: gnu-r
 Priority: optional
-Build-Depends: debhelper (>= 9),
-               cdbs,
+Build-Depends: debhelper (>= 10),
+               dh-r,
                r-base-dev,
                r-cran-estimability,
                r-cran-nlme,
@@ -21,15 +21,9 @@
 Package: r-cran-lsmeans
 Architecture: all
 Depends: ${R:Depends},
-         ${misc:Depends},
-         r-base,
-         r-cran-estimability,
-         r-cran-nlme,
-         r-cran-coda (>= 0.17),
-         r-cran-multcomp,
-         r-cran-plyr,
-         r-cran-mvtnorm,
-         r-cran-xtable (>= 1:1.8-2)
+         ${misc:Depends}
+Recommends: ${R:Recommends}
+Suggests: ${R:Suggests}
 Description: GNU R package providing least-squares means for linear, generalized linear, and mixed models
  The r-cran-lsmeans package is a GNU R package to obtain least-squares
  means for many linear, generalized linear, and mixed models.

=== debian/watch ===
version=4
http://cran.r-project.org/src/contrib/lsmeans_([\d\.-]*).tar.gz

## r-cran-lsmeans 2.27

=== DESCRIPTION ===
Package: lsmeans
Type: Package
Title: Least-Squares Means
Version: 2.27-61
Date: 2017-11-05
Authors@R: c(person("Russell", "Lenth", role = c("aut", "cre", "cph"), 
    email = "russell-lenth@uiowa.edu"),
    person("Jonathon", "Love", role = "ctb"))
Depends: methods, R (>= 3.2)
Suggests: car, lattice, MCMCpack, mediation, multcompView, ordinal,
        pbkrtest (>= 0.4-1), CARBayes, coxme, gee, geepack, glmmADMB,
        lme4, lmerTest (>= 2.0.32), MASS, MCMCglmm, nnet, pscl, rsm,
        rstan, rstanarm, survival
Imports: estimability, graphics, stats, utils, nlme, coda (>= 0.17),
        multcomp, plyr, mvtnorm, xtable (>= 1.8-2)
Additional_repositories: http://glmmadmb.r-forge.r-project.org/repos
BugReports: https://github.com/rvlenth/lsmeans/issues
LazyData: yes
ByteCompile: yes
Description: Obtain least-squares means for many linear, generalized linear, 
    and mixed models. Compute contrasts or linear functions of 
    least-squares means, and comparisons of slopes. 
    Plots and compact letter displays. Least-squares means were proposed in
    Harvey, W (1960) "Least-squares analysis of data with unequal subclass numbers",
    Tech Report ARS-20-8, USDA National Agricultural Library, and discussed
    further in Searle, Speed, and Milliken (1980) "Population marginal means 
    in the linear model: An alternative to least squares means", 
    The American Statistician 34(4), 216-221 <doi:10.1080/00031305.1980.10483031>.
    NOTE: Users are encouraged to switch to the 'emmeans' package,
    as 'lsmeans' will be archived in the not-too-distant future.
License: GPL-2 | GPL-3
NeedsCompilation: no
Packaged: 2017-11-04 20:55:44 UTC; rlenth
Author: Russell Lenth [aut, cre, cph],
  Jonathon Love [ctb]
Maintainer: Russell Lenth <russell-lenth@uiowa.edu>
Repository: CRAN
Date/Publication: 2017-11-05 15:03:26 UTC

## r-cran-lsmeans 2.27-61

=== debian/changelog ===
r-cran-lsmeans (2.27-61-1) unstable; urgency=medium

  * Team upload
  * New upstream version
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Thu, 09 Nov 2017 14:24:07 +0100

r-cran-lsmeans (2.27-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.27-2
  * d/copyright:
    + lsmeans is now under GPL-2+
    + update upstream copyright years
    + fix Format URL
  * Bump Standards-Version to 4.1.1.
  * Shorten short description.

 -- Sébastien Villemot <sebastien@debian.org>  Sun, 01 Oct 2017 16:25:27 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                r-cran-plyr,
                r-cran-mvtnorm,
                r-cran-xtable
-Standards-Version: 3.9.8
+Standards-Version: 4.1.1
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-lsmeans.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-lsmeans.git
 Homepage: http://cran.r-project.org/package=lsmeans
@@ -24,7 +24,7 @@
          ${misc:Depends}
 Recommends: ${R:Recommends}
 Suggests: ${R:Suggests}
-Description: GNU R package providing least-squares means for linear, generalized linear, and mixed models
+Description: GNU R package providing least-squares means for various classes of models
  The r-cran-lsmeans package is a GNU R package to obtain least-squares
  means for many linear, generalized linear, and mixed models.
  Additionally it can compute contrasts or linear functions of least-

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, dos2unix
Restrictions: allow-stderr

=== debian/watch ===
version=4
https://cran.r-project.org/src/contrib/lsmeans_([\d\.-]*).tar.gz

## r-cran-lsmeans 2.27-62

=== debian/changelog ===
r-cran-lsmeans (2.27-62-3) unstable; urgency=medium

  * Team upload.
  * Rebuild for R 3.5 transition

 -- Andreas Tille <tille@debian.org>  Tue, 05 Jun 2018 10:13:53 +0200

r-cran-lsmeans (2.27-62-2) unstable; urgency=medium

  * Team upload.
  * dh-update-R to update Build-Depends
    Closes: ##877409

 -- Andreas Tille <tille@debian.org>  Tue, 29 May 2018 19:42:48 +0200

r-cran-lsmeans (2.27-62-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 11
  * Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-
    lists.debian.net>
  * Point Vcs fields to salsa.debian.org
  * dh-update-R to update Build-Depends
  * Upstream removed test suite
  * Lintian override for false spelling error suspicion
  * Testsuite: autopkgtest-pkg-r

 -- Andreas Tille <tille@debian.org>  Mon, 14 May 2018 08:46:25 +0200

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: r-cran-lsmeans
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Jonathon Love <jon@thon.cc>
 Section: gnu-r
+Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                dh-r,
                r-base-dev,
                r-cran-estimability,
@@ -13,9 +14,9 @@
                r-cran-plyr,
                r-cran-mvtnorm,
                r-cran-xtable
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/r-cran-lsmeans.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/r-cran-lsmeans.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lsmeans
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lsmeans.git
 Homepage: http://cran.r-project.org/package=lsmeans
 
 Package: r-cran-lsmeans

## r-cran-lsmeans 2.30-0

=== debian/changelog ===
r-cran-lsmeans (2.30-0-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 21:38:29 +0000

r-cran-lsmeans (2.30-0-2) unstable; urgency=medium

  * Team Upload.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 18 May 2020 10:37:53 +0200

r-cran-lsmeans (2.30-0-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Use secure URI in Homepage field.

  [ Andreas Tille ]
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/changelog
  * Update Build-Depends

 -- Andreas Tille <tille@debian.org>  Mon, 03 Dec 2018 11:34:49 +0100

=== debian/control ===
--- 
+++ 
@@ -4,20 +4,15 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                dh-r,
                r-base-dev,
-               r-cran-estimability,
-               r-cran-nlme,
-               r-cran-coda (>= 0.17),
-               r-cran-multcomp,
-               r-cran-plyr,
-               r-cran-mvtnorm,
-               r-cran-xtable
-Standards-Version: 4.1.4
+               r-cran-emmeans
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lsmeans
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lsmeans.git
-Homepage: http://cran.r-project.org/package=lsmeans
+Homepage: https://cran.r-project.org/package=lsmeans
+Rules-Requires-Root: no
 
 Package: r-cran-lsmeans
 Architecture: all

## r-cran-lsmeans 2.30-2

=== debian/changelog ===
r-cran-lsmeans (2.30-2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 16 Jan 2026 09:44:48 +0900

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,13 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-emmeans
-Standards-Version: 4.5.0
+               r-cran-emmeans,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-lsmeans
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-lsmeans.git
 Homepage: https://cran.r-project.org/package=lsmeans
